Bug 251804 - pam-0.99.8.1-3.fc8 refused to passwd auth for non-root users
pam-0.99.8.1-3.fc8 refused to passwd auth for non-root users
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
low Severity urgent
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 10:40 EDT by denis ivanov
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: pam-0.99.8.1-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 05:07:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description denis ivanov 2007-08-11 10:40:43 EDT
Description of problem:

Just updated my rawhide up to today (11 aug).

xscreensaver, xlockmore, vlock - all breaks with "auth failure" when run from
non-root users even with right password. With uid=0 all is ok.


Version-Release number of selected component (if applicable):

pam-0.99.8.1-3.fc8


How reproducible:

Run vlock or xlockmore or "xscreensaver-command -lock" from non-root user and
try to un-lock with correct password.


Additional info:

After hour of research I have found temporary solution:

-rwxr-xr-x 1 root root 41756 Aug  6 18:08 /lib/libpam.so.0.81.8

This is buggy version.

-rwxr-xr-x 1 root root 41568 Aug 11 17:21 /lib/libpam.so.0.81.6

This is OK.

Moved /lib/libpam.so.0.81.6 from older rawhide to my computer and rewrite
symlink /lib/libpam.so.0.81.6 to /lib/libpam.so.0, then restart all apps which
need non-root password auth.

Now it WORKS.
Comment 1 Tomas Mraz 2007-08-13 05:07:17 EDT
Fixed. Thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.